style draw_ui:
    spacing 2

init -3 python:
    colours = ['#FFFFFF', '#000000', '#FF0000', '#00FF00', '#0000FF', '#FFFF00', '#00FFFF', '#FF00FF', '#FF7F7F', '#FBEFE3']
    default_colour = '#000'
    freehand_canvas = FreehandCanvas(default_colour, 920, 730)

    # Quick and dirty hover icons
    pencil_hover_icon = Fixed(
        Image("pencil_icon.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    line_hover_icon = Fixed(
        Image("line_icon.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    circle_hover_icon = Fixed(
        Image("circle_icon.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    circle_fill_hover_icon = Fixed(
        Image("circle_icon_fill.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    thickness_hover_icon = Fixed(
        Image("thickness.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    thickness_2_hover_icon = Fixed(
        Image("thickness_2.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    thickness_3_hover_icon = Fixed(
        Image("thickness_3.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

    thickness_4_hover_icon = Fixed(
        Image("thickness_4.png"),
        Transform(Frame(Solid("#FFF"), 5, 5), alpha=0.5),
        xysize=(32, 32),
    )

screen freehand_draw(type = ""):

    # vbox:
        # hbox:
    frame:
        background None
        vbox:
            style "draw_ui"
            imagebutton idle "pencil_icon.png" hover pencil_hover_icon selected_idle pencil_hover_icon action SetField(freehand_canvas, 'mode', FreehandCanvas.PENCIL)
            imagebutton idle "line_icon.png" hover line_hover_icon selected_idle line_hover_icon action SetField(freehand_canvas, 'mode', FreehandCanvas.LINE)
            # imagebutton idle "circle_icon.png" hover circle_hover_icon selected_idle circle_hover_icon action SetField(freehand_canvas, 'mode', FreehandCanvas.CIRCLE)
            # imagebutton idle "circle_icon_fill.png" hover circle_fill_hover_icon selected_idle circle_fill_hover_icon action SetField(freehand_canvas, 'mode', FreehandCanvas.CIRCLE_FILL)
            textbutton "Clear" action Function(freehand_canvas.clear)
            textbutton "Complete" action [Function(freehand_canvas.clear), Return()]

    frame:
        if type == "sketch_s5":
            background "images/Episode5/sketch_s5.png"
        elif type == "sketch2_s5":
            background "images/Episode5/sketch2_s5.png"
        elif type == "sketch3_s5":
            background "images/Episode5/sketch3_s5.png"
        else:
            background None
        padding (0, 0)
        xpos 400
        ypos 290
        xsize 920
        ysize 730


        add freehand_canvas

        # hbox:
            # # style "draw_ui"
            # # for colour in colours:
                # # button:
                    # # xsize 32
                    # # ysize 32
                    # # background colour
                    # # action SetField(freehand_canvas, 'colour', colour)

            # textbutton "Clear all" action Function(freehand_canvas.clear)

        # hbox:
            # style "draw_ui"
            # imagebutton idle "thickness.png" hover thickness_hover_icon selected_idle thickness_hover_icon action SetField(freehand_canvas, 'line_width', 1)
            # imagebutton idle "thickness_2.png" hover thickness_2_hover_icon selected_idle thickness_2_hover_icon action SetField(freehand_canvas, 'line_width', 2)
            # imagebutton idle "thickness_3.png" hover thickness_3_hover_icon selected_idle thickness_3_hover_icon action SetField(freehand_canvas, 'line_width', 4)
            # imagebutton idle "thickness_4.png" hover thickness_4_hover_icon selected_idle thickness_4_hover_icon action SetField(freehand_canvas, 'line_width', 8)


#-------------------------------------------------------------------------------------------[Episode 5]------------------------------------------------------------------------------

label episode5:
    $ list_of_char5 = ("r","l","e","lu","extra", "cum_loop", "anim")
    $ episode_number = 5
    $ cum_loop = 3
    $ persistent.max_episode = episode_number

    $ new_opened_extra_scene = {"me": 0, "r": 0, "l": 0, "e": 0, "w": 0,"s": 0,"cop": 0,"extra":0, "lu":0, "test":0, "cum_loop":0, "anim":0}
    python:
        for i in opened_extra_scene:
            new_opened_extra_scene[i] += opened_extra_scene[i]

    $opened_extra_scene = new_opened_extra_scene

    $ extra_scene_count_cur = {"r": 11, "l": 8, "e": 7, "lu": 17,  "extra":6, "test":11, "cum_loop":0, "anim":1}
    $ opened_extra_scene_cur = {"r": 0, "l": 0, "e": 0, "lu": 0, "extra":0, "test":0, "cum_loop":0, "anim":0}
    $ _scene("blackscreen")

    #"Loading............................"
    "EPISODE V. The Rachel's aunt from Alabama."

    # scene s5fpromo
    # "What do you think is shown in this picture?"


    # ride in car
    $_scene("s5f00")
    with fade
    r "Alabama!"
    $_scene("s5f2")
    with fade
    r "I haven't been here for a long time"
    e "Exactly the same as me"
    e "Since last summer"
    l "What's here?"
    e "Oh, [l] you miss a lot of our trips"
    l "Ufff"
    l "So what's here?"
    r "My aunt lives here"
    l "Why am I not familiar with her?"
    l "I would really like to meet her"
    r "Hmmm...[e] told her about you ... and ..."
    l "So she knows about me?"
    l "[g] let's go see her!"
    $_scene("s5f1")
    r "I don't mind either"
    r "Haven't seen her for a long time"
    r "She may not be home because she loves to travel."
    r "So she needs to call first."
    r "I need to find out if she is at home or not"
    $_scene("s5f1a")
    with dissolve
    r "Sooo..."
    r "..."
    r "Hallo..."
    r "Hello, aunt [lu]"
    r "..."
    r "And I'm glad to hear you"
    r "..."
    r "I'm passing through Alabama now, with my friends"
    r "..."
    r "Exactly?"
    r "..."
    r "Will it not be stressful?"
    r "..."
    r "[e], [l] and [g]"
    r "..."
    r "Who is [g]?"
    r "..."
    r "[g] is my friend"
    r "..."
    r "Well, see you later"
    $_scene("s5f1")
    with dissolve
    r "She agrees"
    r "By the way, she works as a psychologist, [g]"
    r "So she wants to test you."
    r "But don't worry, she's very good."
    menu:
        "Ok":
            g "Ok"
    scene blackscreen
    with fade
    "* You got to Aunt [lu]'s house *"
    #Jane house
    $_scene("s5f0a")
    with fade
    r "We arrived"
    $_scene("s5f0")
    with dissolve
    l "Wow, what a big house she has"
    r "Come on, I want to see her sooner"
    $_scene("s5f3")
    r "[l] and [g]"
    r "I want to warn you again"
    r "My aunt is a great psychologist"
    r "She can read your emotions from your face."
    r "Don't try to trick her, or suck up to her."
    e "Ha-ha this applies to you, [l]"
    l "Heeey!"
    r "Let's go"
    $_scene("s5f3a")
    "*Diiin-dooon*"
    $_scene("s5f3b")
    with dissolve
    r "[lu]!"
    r "This is [r]"
    e "Silent waiting, ha ha"
    lu "* Come in! The door is open. *"
    lu "* I'm in the kitchen! *"
    r "Let's go!"

    #Greeting and hugs
    $_scene("s5f4")
    with fade
    g "([lu])"
    g "(Damn, she looks good)"
    g "(Why hasn't [r] talked about her before)"

    $_scene("s5f5a")
    r "Aunt's [lu]!"
    r "We haven't seen each other for a whole year!"
    $_scene("s5f5b")
    with dissolve
    lu "[r]!"
    lu "My sweety!"
    $_scene("s5f5a")
    with dissolve
    lu "Have you lost weight"
    r "Hmm"
    r "You look great too!"

    $_scene("s5f5c")
    lu "[e]!"
    e "Aunt's [lu]!"
    $_scene("s5f5d")
    with dissolve
    lu "*Sniff*"
    lu "Whoa, you use a pretty nice perfume."
    e "Thank you, ha ha"
    $_scene("s5f5c")
    with dissolve
    e "I hope we'll retire in the evening and talk about anything"
    lu "Sure"

    $_scene("s5f5f")
    lu "Is your name [l]?"
    lu "Last year [r] and [e] talked about you"
    l "Yes, it's me"
    $_scene("s5f5g")
    with dissolve
    l "I'm very glad to get to know you"
    lu "I'm not sure yet"
    lu "But I think we'll figure it out soon"
    $_scene("s5f5f")
    l "Hey, okay ..."

    $_scene("s5f6")
    lu "I haven't heard about you before"
    lu "What's your name?"
    g "My name is [g]"
    lu "Very nice [g]"
    lu "My name is [lu]"
    lu "I'm aunt [r]"
    g "[r] talked about you"

    menu:
        "[jeegreen]Hug [lu]":
            $_scene("s5f6a_hugs")
            lu "Ohh"
            lu "You are courageous"
            lu "I'm glad to meet you"
            $opened_extra_scene_cur["lu"] += 1
        "Shake hands with [lu]":
            $_scene("s5f6a_handshake")
            lu "Nice to meet you"
            g "Nice to meet you too"

    $_scene("s5f6")
    menu:
        "[jeegreen]Make a compliment":
            g "You are very beautiful"
            lu "Ahaha"
            lu "Don't suck up"
            $opened_extra_scene_cur["lu"] += 1
        "Not to do":
            g "..."
            lu "You aren't talkative"
    lu "Did [r] tell you that I'm a professional psychologist?"
    lu "If you are in my house, I would like to know you better"
    lu "I hope a little later we can retire and I will ask you some questions"
    g "Sure"
    $_scene("s5f8")
    lu "By the way, you arrived on time"
    $_scene("s5f7")
    lu "I was cooking dinner"
    lu "But now I need more food"
    $_scene("s5f8")
    lu "I hope someone can help me?"
    r "Of course I will help you"

    $_scene("s5f8a")
    e "I would help you too"
    e "But I'm so tired"
    e "So I'm going to rest in the backyard"
    e "[lu], sun loungers in place?"
    lu "Of course they are in place"
    e "Excellent!"
    e "[g] is tired too, don't make him cook, haha"

    $_scene("s5f8")
    lu "Hah"
    r "[g] are you tired? Let me show you your room"
    g "Okay"
    lu "[r]!"
    lu "Show [g] his room and come back"
    lu "We have so much to discuss"
    $_scene("s5f9")
    r "Are you ready?"
    r "Let's go"
    menu:
        "Let's go":
            g "Let's go"

    $_scene("s5f10d")
    with fade
    r "Guest room on the second floor"
    r "Let's go"

    menu:
        "Go first":
            r "Hey, do you know where to go?"
            r "Follow me"
        "[jeegreen]Skip [r] forward":
            r "Follow me"
            $opened_extra_scene_cur["r"] += 1

    $_scene("s5f10")
    g "(Oh, ass [r] is so close)"

    menu:
        g "(If I step forward, her ass is at arm's length)"
        "[jeegreen]Come closer":
            $_scene("s5f10a")
            $opened_extra_scene_cur["r"] += 1
        "Don't come closer":
            jump ep5a1

    g "(Damn what a great ass she has)"

    menu:
        g "(I can touch her ass)"
        "[jeegreen]Touch ass":
            $_scene("s5f10b")
            with sshake
            $opened_extra_scene_cur["r"] += 1
            $opened_extra_scene_cur["extra"] += 1
        "Don't touch":
            jump ep5a1

    g "(Oh yes, she's so tight)"
    $_scene("s5f10c")
    with sshake
    r "Hey"
    r "What are you doing?"
    r "Suddenly someone sees us ..."
    r "We'd better go quickly to your room"
    g "(Wow, I didn't expect that)"
    jump ep5a1

#Rachel show your room
label ep5a1:
    $_scene("s5f11")
    with fade
    r "This is your room"
    r "[lu] loves comfort and order very much"
    r "Do you like it?"
    g "Normal"
    r "Look at the pictures on the wall"
    $ _scene ("s5f12")
    g "(What's the difference)"
    "*Sound of a door slamming*"
    menu:
        "Turn around":
            $_scene("s5f13")

    r "[g]"
    r "I liked what happened in the jacuzzi"
    r "I want to continue"
    g "Here's how"

    menu:
        "[jeegreen]What do you want?":
            g "What do you want?"
            $opened_extra_scene_cur["r"] += 1
        "Come on":
            g "Come on"

    $_scene("s5f14")
    r "I want your cock"
    r "I liked him"
    $_scene("s5f14_eye")
    $renpy.pause(1)
    $_scene("s5f14")
    r "But first I want you to get horny"
    $_scene("s5f14a")
    with dissolve
    r "Did you miss my boobs?"
    r "Hah"
    g "(Gorgeous)"
    menu:
        "[jeegreen]Touch":
            $_scene("s5f14b")
            with sshake
            $opened_extra_scene_cur["r"] += 1
            r "Owww, yeah"
            g "(You boobs are perfect)"
        "Don't touch":
            $_scene("s5f14a")
    g "Meh"
    $_scene("s5f15")
    "*[r] licks her lips*"
    r "What are you thinking about?"
    g "(Oh, I don't even know ... ha ha)"
    $_scene("s5f16")
    "*[r] pulls down your pants and takes your cock in her hand*"
    $_scene("s5f16a")
    with dissolve
    r "I wanted it all day"
    menu:
        "[jeegreen]I'm too":
            g "I'm too"
            $opened_extra_scene_cur["r"] += 1
        "I didn't think about it":
            g "I didn't think about it"
    $_scene("s5f15")
    r "What do you want me to do?"
    menu:
        "Suck my dick":
            g "Suck my dick"
            $opened_extra_scene_cur["r"] += 1
        "Jerk off my cock":
            g "Jerk off my cock"
            $opened_extra_scene_cur["r"] += 1 #r-1
    r "Anything you want, huh"
    "*KNOCK* *KNOCK* *KNOCK*"
    $_scene("s5f17")
    with sshake
    r "..."
    $_scene("s5f17a")
    with dissolve
    r "*whisper* Who the hell is that"
    r "*whisper* We shouldn't be seen"

    $_scene("s5f18")
    l "[g] are you here?"
    r r "*whisper* damn it's [l]"
    menu:
        "[jeegreen]Prevent [l] from entering the room":
            $_scene("s5f19")
            with sshake
            $opened_extra_scene_cur["r"] += 1
            g "[l]!"
            l "Hi [g]"
        "Invite [l] to the room":
            scene blackscreen with fade
            "[l] went into the room and saw naked [r]. She got very angry with you and told everything to [lu]. [lu] didn't like that either. The adventure can't go on ..."
            jump ep5_end
    g "Did you want something?"
    $_scene("s5f19b")
    $_scene("s5f19a")
    with dissolve
    scene s5anim1
    l "[l] said there won't be enough rooms for everyone"
    l "So we'll sleep in the same room"
    l "I would like to see the room"
    menu:
        l "I would like to see the room"
        "[jeegreen]Let's not now":
            g "Let's not now"
            l "Why?"
            g "Just not now"
            $opened_extra_scene_cur["l"] += 1
            $opened_extra_scene_cur["r"] += 1
        "Ummm, better not":
            g "Ummm, better not"
            l "Why?"
            l "You are hiding something from me?"
            g "Of course not"

    l "Okay"
    $_scene("s5f19")
    with dissolve
    l "Do you know where [r] is?"
    $_scene("s5f19a")
    with dissolve
    scene s5anim1
    menu:
        "[jeegreen]Yes, she's standing outside the door (joke)":
            g "Yes, she's standing outside the door"
            $opened_extra_scene_cur["l"] += 1
            l "Ha-ha-ha"
            l "You're fun"
        "No, she showed the room and left":
            g "No, she showed the room and left"
            l "Okey"

    l "Can we lie together on the bed?"
    l "Mmmmm?"
    l "What do you think about it?"
    g "(Damn, I gotta get her out of the room somehow)"
    menu:
        "[jeegreen]Stroking [l]'s face":
            $_scene("s5f20")
            l "Oh you are so cute"
            $opened_extra_scene_cur["l"] += 1
            $_scene("s5f20a")
            l "*MWOAH*"
            $_scene("s5f20")
            l "You're good"
            l "What about viewing a room?"
        "Pat [l] on the cheek":
            $_scene("s5f20")

    g "Come a little later"
    g "Let's go downstairs, [lu] asked for help"

    scene blackscreen with fade
    #Can you help Louise with get wine (ladder)
    $_scene("s5f35")
    with fade
    lu "[g]!"
    lu "You can help me?"
    g "With what?"
    lu "Come here"
    $_scene("s5f35a")
    lu "I wanted to get a bottle of wine from the top shelf"
    lu "But my heels are so long"
    lu "And I am very afraid to fall"
    lu "Will you back me up?"
    g "Sure."
    lu "Come on"
    $_scene("s5f35b")
    g "(How cool she looks)"
    $_scene("s5f35c")
    lu "Hey, are you insuring me?"
    g "Yes, I just kept my eyes on you a little"
    lu "Hah"
    menu:
        "[jeegreen]Get a better look at [lu]":
            $_scene("s5f35d")
            $opened_extra_scene_cur["lu"] += 1
            g "(She has a very beautiful body)"
        "Stand and wait for [lu] to get the bottle":
            jump ep5lu1

    g "(I wonder what she has under her skirt)"
    menu:
        "[jeegreen]Bend over and look up her skirt":
            $_scene("s5f36")
            with dissolve
            $opened_extra_scene_cur["lu"] += 1
        "Do not bend over, stand and wait for [lu] to get the bottle":
            jump ep5lu1

    g "([lu] stands high, I can easily look up her skirt)"
    menu:
        "[jeegreen]Bend over lower":
            $_scene("s5f36a")
            with dissolve
            $opened_extra_scene_cur["lu"] += 1
        "Do not bend over, stand and wait for [lu] to get the bottle":
            jump ep5lu1
    g "(I like it)"
    g "(I wonder what color her panties are)"
    g "(And are they there?)"
    menu:
        "[jeegreen]Lean even lower":
            $_scene("s5f36b")
            with dissolve
            $opened_extra_scene_cur["lu"] += 1
        "Do not bend over, stand and wait for [lu] to get the bottle":
            jump ep5lu1

    g "(Oh yes I can see her panties)"
    g "(My dick will rise now)"

    menu:
        "[jeegreen]Lean even lower":
            $_scene("s5f36c")
            with dissolve
            $opened_extra_scene_cur["lu"] += 1
            $opened_extra_scene_cur["extra"] += 1
        "Do not bend over, stand and wait for [lu] to get the bottle":
            jump ep5lu1

    g "(Perfect)"
    g "(Would sit and watch this all day)"
    g "(Her ass, her pussy covered with panties ...)"
    g "(Damn my dick will get up right now)"

    menu:
        "Keep watching":
            scene blackscreen with fade
            "[lu] turned her head and noticed how you looked between her legs. It upset her very much and she kicked you out of the house. You will no longer be able to continue the journey."
            jump ep5_end
        "[jeegreen]Stand up":
            jump ep5lu1


label ep5lu1:
    $_scene("s5f37")
    with fade
    lu "Thank you for your help"
    lu "Now we can drink some great wine"
    lu "I'll think about how to thank you"
    lu "[g] have you seen [r] lately?"
    lu "She went upstairs with you"
    menu:
        "She showed me the room and went somewhere (lie)":
            g "She showed me the room and went somewhere"
            lu "Hmm ..."
            lu "I hope you're not lying to me"
        "[jeegreen]We stayed with her a little in the room, just don't talk about it [l] (tell the truth)":
            g "We stayed with her a little in the room, just don't talk about it [l]"
            $opened_extra_scene_cur["r"] += 1
            $opened_extra_scene_cur["lu"] += 1
            lu "Interesting"
            lu "Don't worry, [l] won't know about it"
            lu "I'm a professional psychologist-sexologist"

    lu "[g] we're almost done making dinner"
    lu "Please call [e]"
    lu "She should have been in the backyard by the pool"
    g "Good"
    #Emma relax in backdoor
    $_scene("s5f25")
    with fade
    g "(It's hot outside)"
    g "([e] looks very sexy in a swimsuit)"
    menu:
        g "(Call her or watch her?)"
        "Call [e] for lunch":
            g "Hey [e]"
            g "Lunch is ready, let's go"
            e "Ok [g], I'll be there soon"
            jump ep5_dinner
        "[jeegreen]Hide behind the fence and watch her":
            $_scene("s5f26")
            g "(I hope she doesn't see me here)"
            $opened_extra_scene_cur["e"] += 1

    $_scene("s5f26a")
    with dissolve
    g "(She wants to take off the bra!)"
    g "(Yeah ... go on)"
    g "(My cock hardens)"
    $_scene("s5f26b")
    with dissolve
    g "(Uh, I saw her nipples again)"
    g "(Show me your full boobs)"
    $_scene("s5f26c")
    with dissolve
    g "(How big and shiny they are in the sun)"
    g "(Damn she's very sexy)"
    $_scene("s5f25d")
    with dissolve
    g "(She decided to sunbathe)"
    g "(This is a great chance to drive up to her)"
    g "(Maybe I'll put some sunscreen on her)"
    g "(We must go to her)"
    menu:
        "Come up to [e]":
            $_scene("s5f27")
    menu:
        g "(Offer to spread cream on her, or just call for lunch)"
        "[jeegreen][e], ​​do you want me to put sun cream on you?":
            g "[e], ​​do you want me to put sun cream on you?"
            $opened_extra_scene_cur["e"] += 1
            $opened_extra_scene_cur["extra"] += 1
            e "[g]"
            g "???"
            e "You think you can just come up and molest me?"
        "[e] let's go to lunch":
            g "[e] let's go to lunch"
            e "Ok [g], I'll be there soon"
            e "I'm just lying in the sun"
            jump ep5_dinner

    $_scene("s5f27a")
    with dissolve
    e "Do you think I'm a fool, and after you smear my back, you won't get into my panties?"
    $_scene("s5f27b")
    with dissolve
    e "Hmmmm?"
    g "Weeell"
    e "Yes Yes Yes"
    e "I can only offer you this (FUCK gesture)"
    $_scene("s5f27c")
    with dissolve
    e "*MWHOA*!"
    $_scene("s5f28")
    with dissolve
    e "*MWHOA*!"
    $_scene("s5f27b")
    with dissolve
    e "This is all I can offer you"
    menu:
        "You are rude":
            g "You are rude"
            e "Sure"
            e "But you're not better"
        "[jeegreen]I just wanted to invite you to dinner":
            g "I just wanted to invite you to dinner"
            $opened_extra_scene_cur["e"] += 1
            e "Don't lie to me"
            g "I'm not lying to you"
    e "I saw you watching from afar"
    e "If you wanted, you could come right up to me"
    g "(Damn)"

    e "Do you understand what this threatens?"
    g "What are you talking about?"
    $_scene("s5f27a")
    with dissolve
    e "You were watching me, then you wanted to smear me with anti-tan cream"
    e "And I wanted to get into my PANTS"
    e "Maybe you want to shove your dick inside me, ahh?"
    $_scene("s5f27b")
    with dissolve
    e "Hmmm?"
    menu:
        e "Tell the truth, would you like to put your cock in me?"
        "[jeegreen]Yes, I would like you to sit on my dick":
            g "Yes, I would like you to sit on my dick"
            $opened_extra_scene_cur["e"] += 1
            e "So you confessed"
        "No, I just wanted to take you to dinner":
            g "No, I just wanted to take you to dinner"
            e "Don't lie to me, ha ha"
            e "You're acting like a pervert"
    e "I'll tell [r], [l] and [lu], haha"
    g "Don't"
    e "It is necessary"
    e "Although I have one idea"
    g "What?"
    $_scene("s5f30")
    with dissolve
    e "Massage my feet"
    e "We had such a good time in the sauna yesterday"
    e "But you decided to massage [l], not me"
    e "So get started"
    menu:
        "Get a massage":
            $_scene("s5f30a")
            with dissolve
    e "Oh yes"
    e "You have strong hands"
    e "I wonder if your tongue is just as strong, haha"
    g "What?"
    e "Go on, don't stop influencing"
    $_scene("s5f30b")
    with dissolve
    e "Oh yes"
    e "A little more"
    e "Massage them completely"
    e "From heel to my lovely toes"
    e "Fiendish puppy"
    e "Ha ha"
    g "[e]!"
    $_scene("s5f30")
    with dissolve
    e "Oh i'm so horny"

    e "You wanted it? Mmm?"
    $_scene("s5f28")
    with dissolve
    e "MWHOA"
    $_scene("s5f28a")
    with dissolve
    e "Watch my finger"
    $_scene("s5f29")
    with dissolve
    e "My pussy is very hot in the sun"
    e "She's all wet"
    g "(My balls are about to explode)"
    e "Oh yeah ..."
    e "How wet she is"

    menu:
        e "Do you want my pussy very wet?"
        "[jeegreen]Of course I want":
            g "Of course I want"
            $opened_extra_scene_cur["e"] += 1
        "[e] are you drunk?":
            g "[e] are you drunk?"

    $_scene("s5f31")
    with dissolve
    e "One foot massage is not enough"
    e "You are to blame in front of me for following me"
    e "And you will have to atone for your guilt"
    g "???"
    $_scene("s5f31a")
    with dissolve
    e "Sit down and kiss my pussy"
    g "What?"
    e "Do it, and then I won't tell anyone"

    menu:
        e "Sit down to be closer"
        "Sit down":
            $_scene("s5f32_alt")
            $opened_extra_scene_cur["e"] += 1
        "I will not do it":
            g "I will not do it"
            $opened_extra_scene_cur["e"] += 1 #e -1
            e "You have no choice"
            e "If you don't, you will never touch my pussy again"
            g "Okay, I'll sit down"
            $_scene("s5f32_alt")

    e "That's better"
    e "This is what you wanted?"
    e "Come on, bend over right in front of my pussy"
    g "(Damn what's going on)"
    g "(My cock is hard as wood)"
    $_scene("s5f32")
    e "Do you like what you see? Haha"
    e "kiss"
    e "Touch her with your lips"
    g "(I have no choice)"
    menu:
        "Kiss her pussy":
            $_scene("s5f32a")
            "*You put your lips on [e] pussy*"
            g "*MWOAH*"
            g "(She's very warm and humid)"
            g "(And it smells really good)"
            e "Whoa, yeah"

    $_scene("s5f32")
    g "(It was nice)"
    menu:
        "Stand up":
            $_scene("s5f31a")
            e "Hey"
            e "Why did you get up"
    g "Because I did what you asked me to do"
    e "Are you a teenager?"
    e "A kiss without a tongue is not a kiss"
    e "Therefore, you must do it not only with your lips, but also with your tongue."
    g "[e]!"
    e "Come on [g]"
    e "You yourself are to blame for following me"
    g "Oh"
    menu:
        e "Take a seat"
        "Sit down":
            $_scene("s5f32_alt")

    e "Come on even closer"
    $_scene("s5f32")
    e "Do it like an adult"
    menu:
        "Use your tongue":
            $_scene("s5f32b")
            "*You touched [e]'s pussy with your tongue*"
            g "*LICK*"
            g "(Now her pussy is even wetter)"
            e "Ooh yeah"
    $_scene("s5f32a")
    e "Your tongue is super"
    menu:
        "Use your tongue one more time":
            $_scene("s5f32b")
            "*You touched [e]'s pussy with your tongue again*"
            g "*LICK*"
            e "Ohhh, [g]"
    $_scene("s5f32a")
    e "I won't tell anyone that you spied on me"
    e "*OHHHH*"
    e "How nice"
    menu:
        "Stand up":
            $_scene("s5f31a")
            e "Don't you want to do it again?"
            e "Although ..."
    e "Let's do it not here"
    $_scene("s5f31")
    e "Suddenly someone sees us, ha ha"
    e "Although there are no perverts here besides you"
    e "Ha ha ha"
    g "[e], I wanted to remind you that lunch is ready, let's go eat"
    e "Well let's go"
    e "But haven't you already eaten? Haha"
    g "[e]!"

#Dinner
label ep5_dinner:
    $_scene("s5f40")
    with fade
    lu "Finally, everyone gathered"
    lu "I hope you enjoy the food"
    $_scene("s5f40c")
    r "Of course I will like it"
    r "Aunt, you cook well"
    $_scene("s5f40a")
    lu "What are you [r], huh"
    lu "These are just sandwiches"
    lu "And be sure to taste the wine"
    $_scene("s5f40b2")
    l "[lu] sorry"
    l "But I don't drink alcohol"
    l "[r] and [e] know about it"
    $_scene("s5f40b")
    l "I just don't like its taste"
    $_scene("s5f40a")
    lu "I see, you can drink something else"
    lu "Although besides ordinary water and wine, I have no other drinks at home"
    lu "[g], do you drink wine?"
    $_scene("s5f40")
    menu:
        "[jeegreen]Sure":
            g "Sure"
            $opened_extra_scene_cur["lu"] += 1
            lu "It's good"
        "No, I prefer other drinks":
            g "No, I prefer other drinks"
            lu "Interesting"
        "No i don't love him":
            g "No i don't love him"
            lu "Got it"
            lu "You are acting like [l]"
    $_scene("s5f40a")
    lu "By the way, [g]"
    lu "I didn't tell [r] about you before"
    lu "Where did you meet?"
    $_scene("s5f40c")
    r "[g] helped us fix a wheel on the car"
    r "We went to the festival of lust and got lost"
    r "A tire was punctured in some field"
    r "Me and [e] went to the city to look for help"
    r "[g] accidentally bumped into us on the road, and did not pass by"
    $_scene("s5f40a")
    lu "[g] are you a hero?"
    $_scene("s5f40")
    menu:
        "[jeegreen]I just wanted to help pretty girls":
            g "I just wanted to help pretty girls"
            $opened_extra_scene_cur["e"] += 1
            $opened_extra_scene_cur["r"] += 1
            $opened_extra_scene_cur["l"] += 1
        "I got lost on this road too":
            g "I got lost on this road too"
    lu "Interesting"
    $_scene("s5f40d")
    e "It's good that we went looking for help with [r], not [l]"
    e "Otherwise [g] wouldn't have stopped"
    e "Yes, [g]?"
    e "ha-ha"
    $_scene("s5f40b")
    l "[e]!"
    l "Why are you constantly bullying me?"
    $_scene("s5f40d")
    e "You're a fool"
    e "So I'm teasing"
    $_scene("s5f40b")
    l "EE[e]!!!!!!"
    $_scene("s5f40c")
    r "[e] get away from [l]"

    $_scene("s5f40a")
    lu "[l] if you are offended or you want to talk"
    lu "Then you can come to me for a psychotherapy session"
    $_scene("s5f40d")
    e "It won't help her"
    $_scene("s5f40b")
    l "[e]! Leave me alone!"
    $_scene("s5f40")
    lu "[l] calm down"
    l "I am calm"
    lu "That's good"

    $_scene("s5f40a")
    lu "[g]"
    lu "So you helped the girls with the car"
    lu "How did it happen that you went with them?"
    $_scene("s5f40c")
    r "Rather, we went with [g]"
    r "All because of the stupid motel in which I had to leave my car"
    r "[g] decided to give us a ride to the festival"

    $_scene("s5f40a")
    lu "[g] I'm interested"
    lu "Apparently you weren't in a hurry"
    $_scene("s5f40")
    menu:
        lu "Can you tell us about yourself?"
        "I'm a bad guy":
            g "I'm a bad guy"
            lu "Hmmm.."
        "I'm a ordinary guy":
            g "[jeegreen]I'm a ordinary guy"
            $opened_extra_scene_cur["lu"] += 1
            lu "It's good"
        "I'm the best guy":
            g "I'm the best guy"
            lu "You have a huge conceit"
    lu "Where were you going?"
    g "I was on my way to see my mother and sister, whom I had not seen for 15 years."
    g "My parents divorced when I was a child"
    g "My sister left for my mother, and my brother and I stayed with my father"

    $_scene("s5f40a")
    lu "Why did you go by car and not fly by plane?"

    $_scene("s5f40")
    g "I hate flying, I hate planes, I hate to talk about it"

    $_scene("s5f40a")
    lu "Interesting"
    lu "If you haven't forgotten. I am a professional psychologist and part-time sexologist."
    lu "I would like to talk to you in private"
    lu "Do you mind?"
    g "Don't mind"
    lu "Excellent"
    lu "Then let's go to my office after lunch"
    scene blackscreen with fade
    "*You ate and went with [lu] to her office*"


#psihologistic test
    $_scene("s5f59")
    with fade
    g "(Would go after ass [lu] all day)"
    g "(Her body turns me on)"
    g "(I have been walking around horny all day, especially after actions [r] in the room, and actions [e] in the backyard)"
    $_scene("s5f59a")
    lu "Sooo..."
    lu "This is my office"
    lu "I usually see clients every day, but today I have a day off"
    lu "I really love my job, and you seem interesting to me, so let's talk to you"
    $_scene("s5f59b")
    with dissolve
    lu "Sit on the sofa"
    lu "I will sit on my chair"
    $_scene("s5f61a")
    lu "Sooo..."
    lu "I usually divide the conversation into three stages"
    lu "The first stage is a general discussion"
    lu "The second stage is small tests with pictures"
    $_scene("s5f61")
    lu "For example"
    $_scene("s5f61a")
    lu "The third stage - practical actions"
    menu:
        lu "Are you ready?"
        "[jeegreen]I'm always ready":
            g "I'm always ready"
            $opened_extra_scene_cur["lu"] += 1
            lu "Excellent! Let's get started"
        "Not":
            g "Not"
            lu "I can give you a minute to get ready, huh"
            scene blackscreen with fade
            "*A minute passed*"
            scene s5f61a with fade
            lu "I hope you are now ready and we can start"

    lu "So let's start with simple questions"
    lu "There will be 5 in total"
    lu "First query:"
    menu:
        lu "What is your sexual orientation?"
        "[jeegreen]I'm hetero":
            g "I'm hetero"
            $opened_extra_scene_cur["test"] += 1
        "I'm homo":
            g "I'm homo"
        "[jeegreen]I'm bi":
            g "I'm bi"
            $opened_extra_scene_cur["test"] += 1 #test -1

    lu "Okay"
    lu "Next question (2)"
    menu:
        lu "How many sexual partners have you had?"
        "I'm a virgin":
            g "I'm a virgin"
            lu "Ha-ha"
            lu "I'm sorry. It was not very professional."
        "One partner":
            g "One partner"
        "More than 1 but less than 5":
            g "More than 1 but less than 5"
        "More than 5 but less than 10":
            g "More than 5 but less than 10"
        "More than 10 but less than 20":
            g "More than 10 but less than 20"
        "More than 20":
            g "More than 20"
            lu "You don't have to lie, you can tell me the truth."
    lu "Good"

    lu "Next question (3)"
    lu "Imagine the situation"
    lu "There are 3 mugs on the table in front of you"
    lu "Black mug, white mug, and yellow mug"
    menu:
        lu "Which mug will you take?"
        "Black mug":
            g "Black mug"
        "[jeegreen]White mug":
            g "White mug"
            $opened_extra_scene_cur["test"] += 1
        "Yellow circle":
            g "Yellow circle"
    lu "A good choice"

    lu "Next question (4)"
    lu "What is your penis size?"
    g "Ummm ..."
    g "Why are you asking?"
    lu "I am a professional psychologist, these questions are important to me"
    menu:
        lu "So what's your penis size? (Centimeters)"
        "I can show":
            g "I can show"
            lu "Ha-ha. Don't do this now."
        "Less than 10":
            g "Less than 10"
            lu "Ha-ha"
            lu "I'm sorry. It was not very professional"
        "More than 10 but less than 15":
            g "More than 10 but less than 15"
        "More than 15 but less than 20":
            g "More than 15 but less than 20"
        "More than 20":
            g "More than 20"

    lu "Ok. We'll check that later."
    lu "Last question (5)"
    menu:
        lu "Do you like the female who is sitting opposite you now?"
        "Um ... I don't know":
            g "Um ... I don't know"
            lu "You will have time to think"
        "[jeegreen]Of course you are very pretty":
            g "Of course you are very pretty"
            lu "I'm glad"
            $opened_extra_scene_cur["lu"] += 1
            $opened_extra_scene_cur["test"] += 1
        "Sorry, but no, you're not my type":
            g "Sorry, but no, you're not my type"
            lu "I'm sorry"

    lu "Sooo..."
    lu "Excellent"
    lu "We have completed the first stage. Now we will proceed to the second."

    $_scene("s5f63")
    with dissolve
    lu "I have several images in my hands"
    lu "They are of 2 types. One image per association."
    lu "Other unfinished ones. You will need to paint them"
    lu "I can get to know you better by these pictures and your answers"
    lu "Sooo..."
    $_scene("s5f62a")
    with dissolve
    lu "You've already seen the first image"
    menu:
        lu "Tell me about your associations"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "I see flowers in the hills and a small ravine":
            g "I see flowers in the hills and a small ravine"
        "[jeegreen]This huge juicy vagina":
            g "This huge juicy vagina"
            $opened_extra_scene_cur["test"] += 1
        "I can't describe it":
            g "I can't describe it"

    lu "Accepted"
    $_scene("s5f63")
    with dissolve
    lu "So ... next"
    $_scene("s5f62")
    with dissolve
    menu:
        lu "Tell me about your associations"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "I see a big crab":
            g "I see a big crab"
        "[jeegreen]I see fucking rabbits":
            g "I see fucking rabbits"
            $opened_extra_scene_cur["test"] += 1
        "I see a huge ass and cock":
            g "I see a huge ass and cock"
        "I can't describe it":
            g "I can't describe it"

    lu "Accepted, I think you are interested"
    $_scene("s5f63")
    with dissolve
    lu "So ... next"
    $_scene("s5f62b")
    with dissolve
    menu:
        lu "Tell me about your associations"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "[jeegreen]I see two stretched vaginas":
            g "I see two stretched vaginas"
            $opened_extra_scene_cur["test"] += 1
        "I see some kind of beetle or moth":
            g "I see some kind of beetle or moth"
        "I see a butterfly":
            g "I see a butterfly"
        "I can't describe it":
            g "I can't describe it"

    lu "Accepted"
    $_scene("s5f63")
    with dissolve
    lu "So ... next"
    $_scene("s5f62e")
    with dissolve
    menu:
        lu "Do you enjoy looking at this image?"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "[jeegreen]Not nice":
            g "Not nice"
            $opened_extra_scene_cur["test"] += 1
        "Nice, I like it":
            g "Nice, I like it"

    lu "Good"
    $_scene("s5f63")
    with dissolve
    lu "Next image"
    $_scene("s5f62c")
    with dissolve
    menu:
        lu "Do you enjoy looking at this image?"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "Not nice":
            g "Not nice"
        "[jeegreen]Nice, I like it":
            g "Nice, I like it"
            $opened_extra_scene_cur["test"] += 1

    lu "Great"
    $_scene("s5f63")
    with dissolve
    lu "Next image, little left"
    $_scene("s5f62d")
    with dissolve
    menu:
        lu "Tell me about your associations"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "[jeegreen]I see two assholes and four legs":
            g "I see two assholes and four legs"
            $opened_extra_scene_cur["test"] += 1
        "I see some kind of squares and rhombuses":
            g "I see some kind of squares and rhombuses"
        "I see a headcrab from half-life":
            g "I see a headcrab from half-life"
        "I can't describe it":
            g "I can't describe it"

    $_scene("s5f63")
    with dissolve
    lu "Okay"
    lu "Last picture"
    $_scene("s5f62f")
    with dissolve
    menu:
        lu "Do you enjoy looking at this image?"
        "I don't understand what is drawn here":
            g "I don't understand what is drawn here"
        "Not nice":
            g "Not nice"
        "[jeegreen]Nice, I like it":
            g "Nice, I like it"
            $opened_extra_scene_cur["test"] += 1

    $_scene("s5f63")
    with dissolve
    lu "Okay, okay"
    lu "Now I want you to finish the picture"
    $_scene("s5f62g")
    with dissolve
    lu "For example, this will be the first image"
    lu "I'll give you it and a marker"
    lu "Draw what you see fit"

    $_scene("s5f62g2")
    with dissolve
    lu "Take, please"
    lu "Come on, it's not difficult"

    $_scene("s5f65c")
    g "(Hmmm .... from this image I have nothing but lust thoughts)"
    lu "You must complete the image"

    call screen freehand_draw()
    $_scene("s5f62h")
    lu "Finished? Give it to me"
    lu "Very curious"


    $_scene("s5f62g3")
    with dissolve
    lu "Draw one more"
    $_scene("s5f65b")
    g "(Hmmm....)"
    lu "You must complete the image"

    call screen freehand_draw()

    $_scene("s5f62h")
    lu "Finished? Give it to me"
    lu "Very curious, you are very creative"

    $_scene("s5f62g4")
    with dissolve
    lu "Draw one more"
    $_scene("s5f65a")

    g "(Hmmm .... why are all the images so lust? Or am I lust?)"
    lu "You must complete the image"

    call screen freehand_draw()
    $_scene("s5f62h")
    lu "Finished? Give it to me"
    lu "Interesting"
    lu "I see you are very tense"
    lu "Very tense"

    #Louise is teasing you

    $_scene("s5f66")
    g "([lu] is hot, I wish I could see her without clothes)"
    g "(Thinking like that, my cock starts to get up)"
    lu "Stand up, please"
    g "Right now?"
    lu "Yes, I want to do a little test"
    g "Good"
    $_scene("s5f67")
    g "I got up"
    lu "Now close your eyes"
    g "Why?"
    lu "Close your eyes, please"
    menu:
        "Close your eyes":
            scene blackscreen with fade
            g "Good"
            g "What's next?"

    lu "Now touch the tip of your nose with your right index finger."
    menu:
        "[jeegreen][lu] this is weird":
            g "[lu] this is weird"
            $opened_extra_scene_cur["test"] += 1
            lu "Touch"
            g "Okay"
        "Do as she said":
            g "Okay, I'll touch it now"

    lu "Excellent"
    lu "Now open your eyes"
    $_scene("s5f68")
    with fade
    g "Oh"
    lu "This will be our third stage"
    lu "Physical contact"
    lu "Look at me"
    $_scene("s5f69")
    with dissolve
    lu "Do you like it?"
    lu "Take a closer look"
    $_scene("s5f70")
    g "(My cock got up)"
    $_scene("s5f68")
    menu:
        lu "Do I turn you on?"
        "[jeegreen]Yes very much":
            g "Yes very much"
            $opened_extra_scene_cur["lu"] += 1
            $_scene("s5f71")
            lu "I see your cock is up"
        "No, I don't like you":
            g "No, I don't like you"
            $_scene("s5f71")
            lu "But your dick is up, so you are lying now."
    lu "I see a clear confirmation that you really like me"
    lu "Take off your pants"
    lu "I hope you didn't lie about penis size ..."
    menu:
        "Take off your pants":
            $_scene("s5f71a")
            with dissolve

    lu "Wow"
    lu "So ... you pleasantly surprised me."
    $_scene("s5f72")
    lu "I see you are very tense"
    lu "It seems to me that you were very excited several times today, but did not bring the matter to the end"
    lu "You didn't finish today, am I right?"
    g "Yes, I didn't cum today"
    lu "To keep your eggs from turning blue"
    lu "Let's fix it"
    $_scene("s5f73")
    g "(Fuck her hand on my leg, she's so close to the dick)"
    lu "oh"
    lu "Are you tense"
    $_scene("s5f73a")
    with dissolve
    g "(Her hand is getting closer)"
    lu "I see you like it"
    lu "You probably dream that I grab your penis with my hand and start jerking it"
    g "Yeah ..."
    $_scene("s5f73")
    with dissolve
    lu "Good"
    g "You tease me"
    lu "Oh, your dick tightened even harder"
    g "I couldn't finish all day"
    lu "Oh, really?"
    $_scene("s5f73a")
    with dissolve
    lu "Did someone try to help you?"
    menu:
        "[jeegreen][r] pestered me (tell the truth)":
            g "[r] pestered me"
            $opened_extra_scene_cur["lu"] += 1
            lu "[r]?"
            lu "I didn't think so"
            lu "I'll have to talk to her"
            $_scene("s5f74")
            with sshake
            lu "Wow"
        "Nobody tried to help me (lie)":
            g "Nobody tried to help me"
            $_scene("s5f74")
            with sshake
            lu "I thought so"

    g "Damn, damn, damn"
    lu "Are you ready to cum already?"
    g "Yesaaaaaa"
    $_scene("s5f74a")
    with dissolve
    lu "Are you sure?"
    g "Fuck, fuck, fuck, how I want to cum around"
    lu "I see you at the limit"
    $_scene("s5f74b")
    with dissolve
    lu "Oh"
    $_scene("s5f74cum")
    with sshake
    lu "Oh yeahh"
    $_scene("s5f74cum2")
    with sshake
    g "YESSSSSSSSSSSSSS"
    $_scene("s5f74cum3")
    with dissolve
    lu "Oh how much sperm"
    $_scene("s5f74cum4")
    with sshake
    lu "Wow"
    $_scene("s5f74cum5")
    with dissolve
    lu "I see you dreamed about it all day"
    g "Oh yes, oh yes"
    lu "How much sperm"

    $_scene("s5f72")
    lu "I wonder how many more times you can cum"
    lu "Now I will bring napkins"
    lu "And we will repeat"
    scene blackscreen
    with fade
    "*[lu] took out napkins and wiped off all the sperm*"
    $_scene("s5f75")
    with fade
    lu "I watch your dick tired"
    lu "We can stop"
    $_scene("s5f76")
    lu "Are you ready to cum one more time or are you already tired?"
    menu:
        lu "Are you ready to cum one more time or are you already tired?"
        "[jeegreen]Of course I'm ready":
            g "Of course I'm ready"
            g "With your help, I can cum many more times"
            $opened_extra_scene_cur["lu"] += 1
            $opened_extra_scene_cur["extra"] += 1
        "I am tired and want to sleep":
            g "I am tired and want to sleep"
            lu "Okay"
            lu "Of course I would like to experiment on you further"
            lu "But if you don't want to ..."
            lu "Then we can finish for today"
            lu "By the way, I run every morning"
            lu "Join tomorrow"
            scene blackscreen with fade
            "* You finished with [l] and went to your room *"
            jump ep5_linda

    lu "That's great"
    lu "First you need to lift your dick"
    lu "I think this will help ..."
    $_scene("s5f76a")
    with dissolve
    g "(God, I see her nipple)"
    lu "I'm sure you like it"
    $_scene("s5f76b")
    with dissolve
    lu "Oh yes, your cock is starting to get up"
    $_scene("s5f76b")
    with dissolve
    lu "How quickly did you recover!"

    $_scene("s5f77")
    with dissolve
    lu "I think this is unnecessary"
    g "It's even better this way"
    lu "Shall we continue?"
    g "Sure"
    $_scene("s5f78")
    with sshake
    g "(Wow)"
    g "(Her tits are so tight)"
    $_scene("s5f78a")
    with dissolve
    lu "Usually with clients I don't get it like this"
    $_scene("s5f78")
    with dissolve
    lu "But you are special to me"
    $_scene("s5f78a")
    with dissolve
    lu "So I can't help but test completely"
    $_scene("s5f78c")
    with dissolve
    lu "I want to taste you dick ..."
    $_scene("s5f78b")
    with dissolve
    lu "Mmmmm"
    g "(Her tongue is so hot)"
    g "(If she doesn't stop, I will cum again very soon)"
    $_scene("s5f78d")
    with dissolve
    g "(Wow)"
    $_scene("s5f78")
    with dissolve
    lu "You have a very big dick"
    lu "But I'll try to put it in my mouth again"
    $_scene("s5f78e")
    with dissolve
    lu "*Gwump*"
    lu "*Gwump* *Gwump*"
    lu "*Gwump* *Gwump* *Gwump*"
    $_scene("s5f78f")
    with dissolve
    lu "I feel that you are already at the limit"
    lu "Time to End"
    $_scene("s5f78e")
    with dissolve
    lu "*Gwump*"
    $_scene("s5f78f")
    with dissolve
    lu "Oh yes"
    g "Damn, I'm about to cum"
    g "Yeah!"
    $_scene("s5f78cum")
    with sshake
    lu "Just don't get sperm on my hair!"
    $_scene("s5f78cum2")
    with dissolve
    lu "*GLOCK*"
    lu "*GLOCK* *GLOCK*"
    lu "*GLOCK* *GLOCK* *GLOCK*"
    $_scene("s5f78cum3")
    with dissolve
    lu "*Barely speaks* I need napkins"
    lu "I won't be gone for long"
    g "Fuck yeah"
    scene blackscreen with fade
    "*A couple of minutes later*"
    $_scene("s5f75")
    with fade
    lu "Did you get some rest?"
    g "What?"
    lu "I wonder how long you can hold out"
    g "Oh"
    lu "Can you cum again?"
    menu:
        "[jeegreen]Easy":
            g "Easy"
            lu "Are you sure?"
            g "Yes"
            lu "Then we'll check it out now"
            $opened_extra_scene_cur["lu"] += 1
            $opened_extra_scene_cur["extra"] += 1
        "I think not, I'm very tired":
            g "I think not, I'm very tired"
            jump ep5lu_end
    $_scene("s5f75a")
    with dissolve
    g "(She took off her panties!)"
    $_scene("s5f81")
    with dissolve
    lu "Will proceed to the third phase"
    lu "As you already noticed"
    lu "I have neither bra nor panties on"
    lu "But what you didn't notice exactly"
    lu "This is how hot my pussy is"
    lu "My pussy hungry for your cock"
    g "(Wow)"
    lu "Since you are in my session, I will do everything myself"
    lu "Sit and enjoy it"
    lu "Shall we start?"
    g "Sure"
    $_scene("s5f79")
    with sshake
    lu "First, take a closer look at my body"
    lu "Does it attract you?"
    lu "But you are weak, so I will help you gain strength"
    $_scene("s5f79b")
    with dissolve
    lu "What I do is called sliding"
    $_scene("s5f79c")
    with dissolve
    lu "My pussy slides forward on your cock"
    $_scene("s5f79b")
    with dissolve
    lu "And back"
    $_scene("s5f79c")
    with dissolve
    lu "And forward again"
    $_scene("s5f79b")
    with dissolve
    lu "Are you feeling energized?"
    $_scene("s5f79c")
    with dissolve
    g "Yesss"
    $_scene("s5f79b")
    with dissolve
    lu "Are you sure?"
    $_scene("s5f79c")
    with dissolve
    lu "Ohh, I'm starting to feel your *confidence*"
    $_scene("s5f79b")
    with dissolve
    lu "Your confidence is knocking on my bottom"
    lu "It's time to tame her..."
    scene s5anim2
    $opened_extra_scene_cur["anim"] += 1
    lu "Ohh yeaah"
    g "(Yeah, I'm in her tight wet pussy)"
    g "(She squeezes my cock so hard)"
    g "I won't last long"
    lu "Yeah"
    menu:
        "Cum":
            g "I will cum now"
    scene anim_s5f80_10 with sshake
    g "Oh yeah!"
    scene anim_s5f80_10 with sshake
    lu "I can feel you filling me up"
    scene anim_s5f80_10 with sshake
    lu "Oh fuck!"
    lu "Don't worry, I'm on pills"
    g "Yeahh..."
    $_scene("s5f81")
    with dissolve
    lu "Fuh, that was good"
    g "Nice?"
    lu "Yes"
    lu "How are you?"
    lu "If you are tired, we can abort the experiment"
    lu "You go to bed and we'll finish here"
    jump ep5cum_loop

label ep5cum_loop:
    lu "Can you cum again?"
    menu:
        lu "Can you cum again?"
        "[jeegreen](Sex scene)Easy":
            g "Easy"
            lu "Are you sure?"
            g "Yes"
            lu "Then we'll check it out now"
        "I think not, I'm very tired":
            g "I think not, I'm very tired"
            jump ep5lu_end

    lu "Shall we continue?"
    g "Sure"
    $_scene("s5f78")
    with sshake
    g "(Wow)"
    g "(Her tits are so tight)"
    $_scene("s5f78a")
    with dissolve
    lu "I love to touch the cock with my tits"
    $_scene("s5f78")
    with dissolve
    lu "Yeah"
    $_scene("s5f78a")
    with dissolve
    lu "Your cock is so hard"
    $_scene("s5f78c")
    with dissolve
    lu "I want to lick it one more time ..."
    $_scene("s5f78b")
    with dissolve
    lu "Mmmm"
    g "(Her tongue is so hot)"
    g "(If she doesn't stop, I will cum again very soon)"
    $_scene("s5f78d")
    with dissolve
    g "(Wow)"
    $_scene("s5f78")
    with dissolve
    lu "You have a very big dick"
    lu "But I'll try again"
    $_scene("s5f78e")
    with dissolve
    lu "*Gwump*"
    lu "*Gwump* *Gwump*"
    lu "*Gwump* *Gwump* *Gwump*"
    $_scene("s5f78f")
    with dissolve
    lu "I feel that you are already at the limit"
    lu "Time to End"
    $_scene("s5f78e")
    with dissolve
    lu "*Gwump*"
    $_scene("s5f78f")
    with dissolve
    lu "Oh fuck"
    g "Damn, I'm about to cum"
    g "Yeah!"
    $_scene("s5f78cum")
    with sshake
    lu "Just don't get sperm on my hair!"
    $_scene("s5f78cum2")
    with dissolve
    lu "*GLOCK*"
    lu "*GLOCK* *GLOCK*"
    lu "*GLOCK* *GLOCK* *GLOCK*"
    $_scene("s5f78cum3")
    with dissolve
    lu "*Barely speaks* I need napkins"
    lu "I won't be gone for long"
    g "Fuck yeah"
    scene blackscreen with fade
    "*A couple of minutes later*"
    $_scene("s5f75")
    with fade
    lu "Did you get some rest?"
    lu "I wonder how much longer you can hold out"
    $cum_loop +=1
    if cum_loop >= 42:
        scene youdied with fade
        $renpy.pause(3)
        scene blackscreen with fade
        "A 20-year-old dude died after cum 42 times without stopping in Alabama, USA. His father told a local newspaper that she already knew about his son's addiction and that she planned to see the doctor, but the decision came too late."
        jump ep5_end
    jump ep5cum_loop



label ep5lu_end:
    $_scene("s5f81")
    lu "Well, our lesson has come to an end"
    lu "Don't forget, this is all confidential and should remain between us."
    lu "I hope you enjoyed it"
    lu "Because I really liked our communication"
    lu "I would go somewhere with you"
    lu "By the way, I run every morning"
    lu "Join tomorrow bye"
    scene blackscreen with fade
    "*You finished with [l] and went to your room*"
    jump ep5_linda

# Sleep with Linda
label ep5_linda:
    $_scene("s5f84")
    with fade
    "*Rustling outside the door*"
    g "(Apparently [l] is changing clothes in my room)"
    menu:
        g "(Wait or open the door?)"
        "Wait":
            scene blackscreen with fade
            "*A couple of minutes later*"
            $_scene("s5f85h")
            with fade
        "[jeegreen]Quietly open the door and enter":
            $_scene("s5f85a")
            with dissolve
            $opened_extra_scene_cur["l"] += 1
            $opened_extra_scene_cur["extra"] += 1
            g "(Wow)"
            g "([l] just got out of the shower)"
            g "(The main thing is that she does not notice me)"
            $_scene("s5f85")
            with dissolve
            g "(Carry on baby, I won't bother you)"
            $_scene("s5f85b")
            with dissolve
            g "(Cute nightwear)"
            $_scene("s5f85c")
            with dissolve
            g "(In this nightie without panties, [l] looks attractive)"
            g "(If I hadn't just come [cum_loop] in a row, my cock would have stood)"
            $_scene("s5f85d")
            with dissolve
            g "(And of course little shorts)"
            $_scene("s5f85e")
            with dissolve
            g "(They look pretty on big ass [l])"
            $_scene("s5f85f")
            with dissolve
            g "(What does she want?)"
            $_scene("s5f85g")
            with dissolve
            g "(Ahh, she picks the book)"
            $_scene("s5f85h")
            with dissolve
            g "(She took the book and is light on the bed)"
            g "(Probably time to come in)"

    g "[l]!"
    $_scene("s5f86")
    l "Good evening [g]"
    menu:
        l "How are you doing with [lu]"
        "[jeegreen]Better than I expected":
            g "Better than I expected"
            $opened_extra_scene_cur["l"] += 1
            $opened_extra_scene_cur["lu"] += 1
        "Fine":
            g "Fine"
            $opened_extra_scene_cur["l"] += 1 #l -1
        "I did not like":
            g "I didn't like it"

    l "But I've decided to read at night"
    l "Go to bed with me"
    $_scene("s5f87")
    with fade
    l "[g], you know ..."
    l "I spoke to [lu] today"
    l "And she told me to be more open in a relationship."
    l "More persistent"
    menu:
        l "Do you understand?"
        "[jeegreen]I understand":
            g "I understand"
            $opened_extra_scene_cur["l"] += 1
        "[jeegreen]I understand (Damn, I don't fucking understand)":
            g "I understand"
            $opened_extra_scene_cur["l"] += 1 #l -1
        "Sorry, but I do not understand you":
            g "Sorry, but I do not understand you"
            l "Don't you understand?"
            l "Then we'd better finish the conversation, I'll sleep."
            $_scene("s5f91")
            with sshake
            g "(Damn, I think I said something wrong ...)"
            jump ep5_end

    l "I'm so glad that you understand me"
    $_scene("s5f88")
    with dissolve
    l "Sooo"
    $_scene("s5f89")
    with dissolve
    l "[lu] told me that I should be more open"
    l "More open in sex"
    l "Nooo ..."
    l "I wanted to tell you"
    $_scene("s5f88")
    with dissolve
    l "I'm A virgin"
    g "Oh"
    l "I know this is bad"
    l "But I can't yet ..."
    l "I must completely trust my partner"
    $_scene("s5f89")
    with dissolve
    l "So I decided to do it by hand for now."
    g "(Fuck, [lu] milked my balls and now they hurt)"
    g "(My cock won't rise again today ...)"
    l "Come on?"
    $_scene("s5f90")
    with dissolve
    l "It's so exciting"
    menu:
        l "Take off your shorts?"
        "I do not want":
            g "I do not want"
        "[jeegreen][l] I'm very tired, sorry":
            g "[l] I'm very tired, sorry"
            $opened_extra_scene_cur["l"] += 1
        "You don't horny me":
            g "You don't horny me"
    $_scene("s5f90a")
    with dissolve
    l "Are you serious?"
    l "I almost opened up to you"
    l "I wanted to please you"
    l "Don't you want to?"
    l "I'm sleeping"
    $_scene("s5f91")
    with sshake
    g "(Hell, it doesn't seem worth ending so many times ...)"
    jump ep5_end

label ep5_end:
    # $ renpy.block_rollback()
    $opened_extra_scene_cur["cum_loop"] = cum_loop

    scene blackscreen with fade
    "End of EPISODE V."

    "More info about next Episode on my Patreon page https://www.patreon.com/DasMaster"
    #Pic with game end
    python:
        for i in list_of_char5:
            opened_extra_scene[i] += opened_extra_scene_cur[i]
    show screen stats

    #Pic with game end

    # menu:
        # "Go to episode 5":
            # $ renpy.hide_screen("stats")
            # jump episode3
    menu:
        "Go to my Patreon":
            $ renpy.run(OpenURL("https://www.patreon.com/DasMaster"))
        "Go to Main menu":
            $ renpy.hide_screen("stats")
    jump gameover
#-------------------------------------------------------------------------------------------[EPISODE 4]------------------------------------------------------------------------------
